%define	module DBD-mysql

Summary:	MySQL-Perl bindings
Name:		perl-%{module}
Version:	3.0008
Release:	%mkrel 1
License:	GPL
Group:		Development/Databases
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/DBD/%{module}-%{version}.tar.bz2
BuildRequires:	perl-DBI
BuildRequires:	MySQL-devel
BuildRequires:	perl-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
Provides:	perl-Mysql
Obsoletes:	perl-Mysql
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl API DBI to the MySQL DBMS. When you want to use MySQL from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

# make test requires a running mysql server
#make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%{makeinstall_std}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Thu Nov 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0008-1mdv2007.0
+ Revision: 79760
- import from cooker

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import perl-DBD-mysql



* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0008-1mdv2007.1
- 3.0008 (fixes #26932)
- fix deps

* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0006-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0006-1mdv2007.0
- New version 3.0006

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0004-1mdv2007.0
- New release 3.0004
- spec cleanup

* Wed Jan  4 2006 Emmanuel Blindauer <blindauer@mandriva.org> 3.0002-4mdk
- rebuild against openssl-0.9.8a, sync with ppc

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0002-3mdk
- rebuilt against openssl-0.9.8a

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0002-2mdk
- rebuilt against MySQL-5.0.15

* Fri Jul 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.0002-1mdk
- 3.0002

* Fri Jul 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.0000-1mdk
- 3.0000

* Wed Jun 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9008-1mdk
- 2.9008
- Change innacurate summary

* Thu Apr 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9007-1mdk
- 2.9007

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.9004-6mdk
- Add perl-DBI in the BuildRequires (Marc Koschewski)

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9004-5mdk
- rebuild

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9004-4mdk
- rebuilt against MySQL-4.1.x system libs

* Fri Jan 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.9004-3mdk
- Fix URL and source
- Replaces perl-Mysql

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 2.9004-2mdk
- Rebuild for new perl

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9004-1mdk
- 2.9004

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9003-1mdk
- 2.9003
- drop distribution tag
- cosmetics

* Mon Nov 24 2003 Michael Scherer <misc@mandrake.org> 2.9002-2mdk 
- BuildRequires perl-devel

* Tue Oct 21 2003 Warly <warly@mandrakesoft.com> 2.9002-1mdk
- new version
